package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户积分记录
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("userPointsRecords")
public class UserPointsRecords implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;
    /**
     * 类型，1.任务奖励，2.素材分享奖励，3.线下结算扣除
     */
    @TableField("type")
    private Integer type;
    /**
     * 结算方式，1.增加，2.扣除
     */
    @TableField("settlementMethod")
    private Integer settlementMethod;
    /**
     * 积分
     */
    @TableField("points")
    private Integer points;
    /**
     * 创建日期
     */
    @TableField("createDate")
    private Date createDate;
}
