package com.zh.project0512.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * app消息 list Vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AppMessageListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Integer id;
    /**
     * 消息类型
     */
    private Integer type;
    /**
     * 标题
     */
    private String title;
    /**
     * 描述
     */
    private String describe;
    /**
     * url
     */
    private String url;
}
