package com.zh.project0512.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * app消息 list DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AppMessageListDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 当前页数
     */
    private int pageNum;
    /**
     * 每页记录数
     */
    private int pageSize;
    /**
     * 消息类型
     */
    private Integer type;
}
