package com.zh.project0512.service;

import com.zh.project0512.model.dto.AppMessageListDTO;
import com.zh.project0512.model.vo.AppMessageListVo;
import com.zh.project0512.utils.page.PageInfo;

public interface IAppMessageService {
    /**
     * 查询所有的app消息
     * @param appMessageListDTO app消息 list DTO
     * @param openid openid
     * @return app消息 list Vo
     */
    PageInfo<AppMessageListVo> list(AppMessageListDTO appMessageListDTO, String openid);
}
