package com.zh.project0512.service;

import com.zh.project0512.model.dto.UserPointsRecordListDTO;
import com.zh.project0512.model.vo.UserPointsRecordListVo;
import com.zh.project0512.model.vo.UserPointsVo;
import com.zh.project0512.utils.page.PageInfo;

public interface IUserPointsRecordsService {
    /**
     * 查询用户积分详情
     * @param openid 小程序唯一标识
     * @return 用户积分 Vo
     */
    UserPointsVo pointsDetail(String openid);

    /**
     * 查询用户积分记录
     * @param userPointsRecordListDTO 用户积分记录 list DTO
     * @param openid openid
     * @return 用户积分记录 list Vo
     */
    PageInfo<UserPointsRecordListVo> list(UserPointsRecordListDTO userPointsRecordListDTO, String openid);

}
